#
# (c) 2008 Maia, Loria, Nancy, France
# Alain Dutech
#


# Beware. This Makefile does not take full advantage of Makefile.include
# as two targets, with different objects, are defined...


# The list of modules that this program needs
MODULES	:= commandline nmea khepera3 i2cal odometry_track remote_serveur remote_variable
# The file name of the executable

.PHONY: all
all: i686 arm

.PHONY: i686
i686: tcp_server.i686 tcp_client.i686 client

.PHONY: arm
arm: tcp_server.arm

.PHONY: armgs
armgs: tcp_server.armgs

.PHONY: clear
clear: clean
	@echo "=== Cleaning All"
	rm -f tcp_server.i686 tcp_client.i686 client tcp_server.arm .depend  *~

OBJ_SERVER_I686 := tcp_server_i686.o tcp_nmea_i686.o khepera3_status_i686.o khepera3_behave_i686.o proc_mgr_i686.o 
tcp_server.i686 : $(MODS_I686) $(OBJ_SERVER_I686)
	@echo "=== Building for i686 $@"
	$(CC_I686) -o $@  $(OBJ_SERVER_I686) $(MODS_I686) $(LIBS) $(INCS) $(CFLAGS_I686) -lpthread

OBJ_SERVER_ARM := tcp_server_arm.o tcp_nmea_arm.o khepera3_status_arm.o khepera3_behave_arm.o proc_mgr_arm.o 
tcp_server.arm : $(MODS_ARM) $(OBJ_SERVER_ARM)
	@echo "=== Building for arm$@"
	$(CC_ARM) -o $@  $(OBJ_SERVER_ARM) $(MODS_ARM) $(LIBS) $(INCS) $(CFLAGS_ARM) -lpthread
OBJ_SERVER_ARMGS := tcp_server_armgs.o tcp_nmea_armgs.o khepera3_status_armgs.o khepera3_behave_armgs.o proc_mgr_armgs.o 
tcp_server.armgs : $(MODS_ARMGS) $(OBJ_SERVER_ARMGS)
	@echo "=== Building for arm$@"
	$(CC_ARMGS) -o $@  $(OBJ_SERVER_ARMGS) $(MODS_ARMGS) $(LIBS) $(INCS) $(CFLAGS_ARM) -lpthread

client: client.c remote_serveur.c
	$(CC_I686)  client.c remote_serveur.c -o client -lpthread
tcp_client.i686 : $(MODS_I686) tcp_client_i686.o
	@echo "=== Building for i686 $@"
	$(CC_I686) -o $@  tcp_client_i686.o $(MODS_I686) $(LIBS) $(INCS) $(CFLAGS_I686) -lpthread

# If the K3_ROOT environment variable is set, you can comment out the following line
K3_ROOT	:= ../../khepera3toolbox

# Include the Makefile
include $(K3_ROOT)/Programs/Makefile.include
